package com.bonus.core.pay.common.vo;


import com.bonus.core.report.bill.vo.BillDetailVO;

import java.util.List;

public class BillDateQueryVO {
   private Boolean success;
   private String msg;
   private List<BillDetailVO> billDetailVOList;
   /** @deprecated */
   @Deprecated
   private Boolean savedToDb = false;

   public static BillDateQueryVO successOf(List<BillDetailVO> details) {
      BillDateQueryVO vo = new BillDateQueryVO();
      vo.setSuccess(true);
      vo.setBillDetailVOList(details);
      return vo;
   }

   public static BillDateQueryVO fail(String msg) {
      BillDateQueryVO result = new BillDateQueryVO();
      result.setSuccess(Boolean.FALSE);
      result.setMsg(msg);
      return result;
   }

   public Boolean getSuccess() {
      return this.success;
   }

   public String getMsg() {
      return this.msg;
   }

   public List<BillDetailVO> getBillDetailVOList() {
      return this.billDetailVOList;
   }

   /** @deprecated */
   @Deprecated
   public Boolean getSavedToDb() {
      return this.savedToDb;
   }

   public void setSuccess(final Boolean success) {
      this.success = success;
   }

   public void setMsg(final String msg) {
      this.msg = msg;
   }

   public void setBillDetailVOList(final List<BillDetailVO> billDetailVOList) {
      this.billDetailVOList = billDetailVOList;
   }

   /** @deprecated */
   @Deprecated
   public void setSavedToDb(final Boolean savedToDb) {
      this.savedToDb = savedToDb;
   }

   public BillDateQueryVO(final Boolean success, final String msg, final List<BillDetailVO> billDetailVOList, final Boolean savedToDb) {
      this.success = success;
      this.msg = msg;
      this.billDetailVOList = billDetailVOList;
      this.savedToDb = savedToDb;
   }

   public BillDateQueryVO() {
   }
}
